# $Revision: 1.20 $, $Date: 2004/05/10 03:17:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	CPAN
Summary:	CPAN Perl module - query, download and build Perl modules from CPAN sites
Summary(pl):	Modu Perla CPAN - odpytywanie, ciganie i budowanie moduw Perla z serwisw CPAN
Name:		perl-CPAN
Version:	1.76
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	dfd1d2f8cfe75559e37d543d0c5f6606
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The CPAN module is designed to automate the make and install of perl
modules and extensions. It includes some searching capabilities and
knows how to use Net::FTP or LWP (or lynx or an external ftp client)
to fetch the raw data from the net.

%description -l pl
Modu CPAN suy do automatyzacji procesu budowania i instalowania
moduw i rozszerze Perla. Ma moliwo wyszukiwania i uywania
Net::FTP lub LWP (albo lynksa czy zewntrznego klienta ftp) do
cigania danych z sieci.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Todo
%attr(755,root,root) %{_bindir}/cpan
%{perl_vendorlib}/*.pm
%dir %{perl_vendorlib}/CPAN
%{perl_vendorlib}/CPAN/*.pm
%{_mandir}/man1/*
%{_mandir}/man3/C*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CPAN.spec,v $
Revision 1.20  2004/05/10 03:17:25  ankry
- BR/R fixed/simplified, rel. 2

Revision 1.19  2004/04/25 06:25:05  ankry
- cosmetics: unification

Revision 1.18  2004/04/20 09:46:27  ankry
- bcond fixes/porting

Revision 1.17  2004/04/17 16:19:50  ankry
- license/summary/description fixes

Revision 1.16  2004/03/28 13:51:31  migo
- add %{perl_vendorlib}/CPAN directory

Revision 1.15  2003/09/15 08:17:07  adamg
- updated to 1.76

Revision 1.14  2003/09/09 10:24:28  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:32  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/07/28 20:10:35  adamg
- we don't distribute Bundle modules (thanks radek)

Revision 1.11  2003/07/25 15:08:31  adamg
- updated to 1.71

Revision 1.10  2003/05/28 13:00:28  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/12 09:28:45  ankry
- release up to be higher than in RA-branch; cosmetics

Revision 1.7  2003/03/13 00:01:07  ankry
- merge from RA-branch: updated to 1.70

Revision 1.6  2003/03/01 18:45:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:36  radek
- use the __perl macro

Revision 1.4  2003/02/18 22:45:19  ankry
- autoupdated to 1.65

Revision 1.3  2003/02/18 15:27:41  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/11/03 14:42:07  qboosh
- pl description

Revision 1.1  2002/11/01 21:50:03  radek
- For 5.8.0.  It's newer, than version shipped with perl.
